%define name ktail
%define version 0.4.4
%define release 4mdk

Name: %{name}
Summary: Log file viewer
Version: %{version}
Release: %{release}
Source0:  %{name}-%{version}.tar.bz2
Source1: ktail
Group:  Graphical desktop/KDE
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt kdelibs
Prefix: /usr

%description
KDE log file viewer with multiple tabs and pipe capabilities.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n ktail 

%build
export KDEDIR=%{_prefix}
libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS"  \
./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT --disable-rpath

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
export KDEDIR=%{_prefix}
make prefix=$RPM_BUILD_ROOT#$KDEDIR install

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 $RPM_SOURCE_DIR/ktail $RPM_BUILD_ROOT/usr/lib/menu/ 

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
  fi 

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
   fi
fi 

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{kdename}

%files
%defattr(-,root,root,0755) 
/usr/bin/ktail
/usr/share/applnk/Utilities/ktail.kdelnk
%docdir /usr/doc/kde/HTML/en/ktail
%doc /usr/doc/kde/HTML/en/ktail/index.html
/usr/share/icons/ktail.xpm
/usr/share/icons/mini/ktail.xpm
/usr/share/locale/de/LC_MESSAGES/ktail.mo
/usr/share/locale/fr/LC_MESSAGES/ktail.mo
/usr/lib/menu/*

%changelog
* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-4mdk
- disable rpath

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-3mdk
- clean specfile
- add menu entry

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4.4-2mdk
- libtoolize --force.

* Mon Nov 25 1999 Camille Begnis <camille@mandrakesoft.com>
- 0.4.4

* Mon Nov 25 1999 Camille Begnis <camille@mandrakesoft.com>
- changed auto file list to hard coded list
 
* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

